*           text=auto

*.java       text
*.properties text

*.xml       text eol=lf
*.xsd       text eol=lf
*.html      text eol=lf
*.svg       text eol=lf

*.sh        text eol=lf

*.ini       text eol=crlf
*.txt       text eol=crlf

*.jpg       -text
*.png       -text
*.ico       -text
*.icns      -text
*.xcf       -text
*.psd       -text
*.pxm       -text
